From 122905eb229ce5f64f3933a9ebe4b63aef19f962 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:07 +0000
Subject: [PATCH 360/2232] Emit <vector> include if generated code requires it


---

diff --git a/gen/include.rs b/gen/include.rs
index 137f52b..129a8e6 100644
--- a/gen/include.rs
+++ b/gen/include.rs
@@ -90,6 +90,9 @@ impl Display for Includes {
         if self.utility {
             writeln!(f, "#include <utility>")?;
         }
+        if self.vector {
+            writeln!(f, "#include <vector>")?;
+        }
         if self.base_tsd {
             writeln!(f, "#if defined(_WIN32)")?;
             writeln!(f, "#include <BaseTsd.h>")?;

